<?php


$start_dd  = $_GET['start_dd'];
$end_dd    = $_GET['end_dd'];




//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff0000')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$redWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


$styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$styleArrayCenter = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
    ),

);



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('HSE Activity');
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');


//$spreadsheet->getActiveSheet()
//            ->setCellValue('A22',$dd_table);

$spreadsheet->getActiveSheet()->setCellValue('A1',"FME")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"SITE")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"HSE DATE")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"CLOCK IN")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"LOCATION IN")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"CITY IN")->getStyle('f1:f1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"CLOCK OUT")->getStyle('g1:g1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"LOCATION OUT")->getStyle('h1:h1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('i1',"CITY OUT")->getStyle('i1:i1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('j1',"FULL TIME")->getStyle('j1:j1')->applyFromArray($blackWhite);




for ($i = 'A'; $i !=  'Q'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
$connect->set_charset("utf8");

$query = " select * from hse_check
            inner JOIN hse_check_img on hse_check.id_hse = hse_check_img.id_hse 
            where hse_check.date BETWEEN '$start_dd' and '$end_dd' ORDER BY hse_check.date ASC , hse_check.fullname ASC   ";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
$i = 2;
while($row = mysqli_fetch_assoc($statement)) {



    $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['fullname']);
    $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['code_site']);
    $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['date']);
    $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['clock_in_time']);
    $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['clock_in_local']);
    $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['city_in']);
    $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['clock_out_time']);
    $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['clock_out_local']);
    $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['city_out']);
    $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,"");





    $spreadsheet->getActiveSheet()->getStyle('A'.$i.':K'.$i)->applyFromArray($styleArrayCenter);
    $i++;
}

$ii = $i-1;
for ($y = 'A'; $y !=  'L'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$ii)->applyFromArray($styleArrayCenter);
}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
    ->getFont()
    ->setName('Calibri')
    ->setSize(12);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(FALSE);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('50');



//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="HSE Activity - From '.$start_dd.' to '.$end_dd.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>