<?php
// Include PHPSpreadsheet
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

// Initialize a new Spreadsheet object
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();

// Example data (replace this with your Chart.js data)
$data = [
    ['', 'Accepted', 'A.W.R', 'A.W.R', 'Postponed', 'Absent', 'N/A', 'Total'],
    ['BSS ATP', 2, 1, 2, 1, 0, 3, 9],
    ['Trans ATP', 4, 0, 0, 0, 0, 5, 9],
    ['CW ATP', 0, 0, 0, 0, 1, 8, 9],
];

// Populate the Excel sheet with data
foreach ($data as $rowIndex => $row) {
    foreach ($row as $colIndex => $value) {
        $sheet->setCellValueByColumnAndRow($colIndex + 1, $rowIndex + 1, $value);
    }
}

// Set headers for Excel file download
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="CM Analyse.xlsx"');
header('Cache-Control: max-age=0');

// Write the spreadsheet to a file
$writer = new Xlsx($spreadsheet);
$writer->save('php://output');
