<?php



//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;





//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)


$spreadsheet->getActiveSheet()->setAutoFilter('A6:AA889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(20);





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"ATTOUé")
            ->getColumnDimension('A')->setWidth('11');




    $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);










//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="PROGRESS PM ENV BSS PROTECH.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');